## musescore3 3.2.3%2Bdfsg2

=== thirdparty/kQOAuth/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#
#  Copyright (C) 2010 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)

if (APPLE)
        file(GLOB_RECURSE INCS "*.h")
else (APPLE)
        set(INCS "")
endif (APPLE)

if (NOT MSVC)
   set(_all_h_file "${PROJECT_BINARY_DIR}/all.h")
else (NOT MSVC)
   set(_all_h_file "${PROJECT_SOURCE_DIR}/all.h")
endif (NOT MSVC)

add_library(kqoauth STATIC
   kqoauthauthreplyserver.cpp
   kqoauthrequest.cpp
   kqoauthrequest_xauth.cpp
   kqoauthmanager.cpp
   kqoauthutils.cpp
   ${_all_h_file}
   ${PCH}
   ${INCS}
   )

if (NOT MSVC)
   set_target_properties (
      kqoauth
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} -I ${PROJECT_SOURCE_DIR}/thirdparty/openssl/include -g -Wall -Wextra -Winvalid-pch"
      )
else (NOT MSVC)
   set_target_properties (
      kqoauth
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} /I${PROJECT_SOURCE_DIR}/thirdparty/openssl/include"
      )
endif (NOT MSVC)   

xcode_pch(kqoauth all)

# Use MSVC pre-compiled headers
vstudio_pch( kqoauth )

# MSVC does not depend on mops1 & mops2 for PCH
if (NOT MSVC)
   ADD_DEPENDENCIES(kqoauth mops1)
   ADD_DEPENDENCIES(kqoauth mops2)
endif (NOT MSVC)
