=== debian/changelog ===
musescore3 (3.2.3+dfsg2-16build5) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:18:07 +0000

musescore3 (3.2.3+dfsg2-16build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:19:43 +0000

musescore3 (3.2.3+dfsg2-16build3) noble; urgency=high

  * No change rebuild against libpoppler-qt5-1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:42:02 +0100

musescore3 (3.2.3+dfsg2-16build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:00:35 +0000

musescore3 (3.2.3+dfsg2-16build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:40:21 +0000

musescore3 (3.2.3+dfsg2-16) unstable; urgency=medium

  * Fix a few more uninitialised memory accesses found by Valgrind
  * Work around unexpected colourised messages from cmake’s tester

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 14 Aug 2022 04:41:04 +0200

musescore3 (3.2.3+dfsg2-15) unstable; urgency=medium

  * Use backported fix to replace parts of the Tebe Poem crash fix
    (for style consistency with 3.6.x)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 07 Aug 2022 18:55:04 +0200

musescore3 (3.2.3+dfsg2-14) unstable; urgency=medium

  * Add more fixes to Tebe Poem fix patch
  * Apply more fixes from upstream and PR#9000
  * debian/watch: work around GH API breakage
  * Quell some debugging output

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 07 Aug 2022 05:39:51 +0200

musescore3 (3.2.3+dfsg2-12) unstable; urgency=low

  * “Blessed Beltaine” upload (or happy May day)
  * Add a few frames-related bugfixes from upstream
  * Test experimental crash in Tebe Poem fix
  * Allow longer offtime (10× nominal length) for notes in PRE

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 01 May 2022 02:55:43 +0200

musescore3 (3.2.3+dfsg2-11) unstable; urgency=medium

  * Fix soundfont-related crashes or audible artefacts (Closes: #985129)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 05 Jun 2021 18:18:36 +0200

musescore3 (3.2.3+dfsg2-10) unstable; urgency=medium

  * Merge musescore2 (2.3.2+dfsg4-14) unstable; urgency=medium
    - fixes rare error in m3-common.prerm (Closes: #984592)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Mar 2021 17:59:50 +0100

musescore3 (3.2.3+dfsg2-9) unstable; urgency=medium

  * backports/plugin-parent.diff: fix crash when traversing from
    an Element through its parents (in a QML plugin): missing
    NULL return when the element has no parent
  * upstream/sprintf.diff: fix (unlikely) sprintf overflow

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 11 Feb 2021 02:21:26 +0100

musescore3 (3.2.3+dfsg2-8) unstable; urgency=medium

  * Sync SMuFL update to upstream
  * Merge musescore2 (2.3.2+dfsg4-12) unstable; urgency=medium
    - Fix CFLAGS/CXXFLAGS extras to disable upstream-only warnings
    - Update list of MScore.ttf copyright holders again, document
    - Explicitly debundle GNU FreeFont
    - Switch debian/watch to api.github.com to list more tags
    - Modernise maintainer scripts from jupp (template)
    - Bump Policy (no changes relevant for us)
    - Update lintian overrides
  * Merge patches from upstream or submitted:
    - do not delete courtesy accidentals on octave changes
    - allow mid-score staff name changes
    - fix crash hiding palettes (F9)
    - various plugin-related fixes
    - expose Score.selection object to access elements selected in GUI
    - add removeElement API and restore Chord.{add,remove} for plugins
  * Update patch submission/merge status/metadata
  * Fix pattern order in debian/copyright and document deviations

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 01 Feb 2021 01:04:50 +0100

musescore3 (3.2.3+dfsg1-7) unstable; urgency=medium

  * Address QA warning in AppData
  * Quell another debugging output
  * Update musical font against latest PR sent upstream
  * Also indicate tuning, on/off time in the status line
  * Update SMuFL data (but keep same version) matching PR submitted
  * Fix rendering of parenthesised accidentals
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 25 Oct 2020 06:45:12 +0100

musescore3 (3.2.3+dfsg1-6) unstable; urgency=low

  * Merge musescore2 (2.3.2+dfsg3-9) unstable; urgency=medium
    - Document the situation with musescore{,3,4} in Description
  * Update older changelog to mention need to avoid linking libssl
  * Merge musescore2 (2.3.2+dfsg3-10) unstable; urgency=low
    - reproducible builds: timezone-local stamps in PKZIP archives
  * Rename source package to musescore3 for symmetry

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 06 Aug 2020 14:46:47 +0200

musescore (3.2.3+dfsg1-5exp1) experimental; urgency=medium

  * Upload to experimental, again with the revert restriking patch

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 30 Jul 2020 20:35:58 +0200

musescore (3.2.3+dfsg1-5) unstable; urgency=high

  * Merge musescore2 (2.3.2+dfsg3-8) wtf; urgency=low
    - Bump Policy (nothing relevant), debhelper
    - Remove dependencies on Qt SQL library which are unneeded
    - Fix DEP 5 format: repacking notice must be in Source, not a Comment
    - Update patches (forwarding information / releases fixed)
    - Drop home-grown umask fixup code, dh does this nowadays
    - Use dh’s new execute_{before,after}_* overrides
    - Work around #796257 to fix Debian reproducible builds
    - Don’t show irrelevant Qt5 deprecation warnings; upstream’s to fix
    - Forward and apply fixes by lintian
  * Add some patches from upstream:
    - Fix warning when loading custom workspaces
    - Allow building against Qt 5.14 (Closes: #964641)
    - Fix rendering of emboldened fonts
    - Numerous crash, playback, layout and other bugfixes
  * Update copyright info (Debian and patches from upstream/submissions)

